[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.ClassType

Return a "class of" pointer for the current class

## Declaration

Source position: objpash.inc line 204

`public class function TObject.ClassType: TClass;`

## Description

ClassType returns a TClass class type reference for the current class.

## See also

TClass |  | Class of TObject.
ClassInfo |  | Return a pointer to the type information for this class.
ClassName |  | Return the current class name.

Documentation generated on: Feb 26 2014